Loading...
Searching...
No Matches
Opm::N2< Scalar > Class Template Reference

Properties of pure molecular nitrogen . More...

`#include <N2.hpp>`

Inheritance diagram for Opm::N2< Scalar >:

## Static Public Member Functions

static std::string_view | name ()
| A human readable name for nitrogen.
static Scalar | molarMass ()
| The molar mass in of molecular nitrogen.
static Scalar | criticalTemperature ()
| Returns the critical temperature of molecular nitrogen.
static Scalar | criticalPressure ()
| Returns the critical pressure of molecular nitrogen.
static Scalar | criticalVolume ()
| Critical volume of [m2/kmol].
static Scalar | acentricFactor ()
| Acentric factor of .
static Scalar | tripleTemperature ()
| Returns the temperature at molecular nitrogen's triple point.
static Scalar | triplePressure ()
| Returns the pressure at molecular nitrogen's triple point.
template<class Evaluation>
static Evaluation | vaporPressure (const Evaluation &temperature)
| The vapor pressure in of pure molecular nitrogen at a given temperature.
template<class Evaluation>
static Evaluation | gasDensity (const Evaluation &temperature, const Evaluation &pressure)
| The density of gas at a given pressure and temperature.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
template<class Evaluation>
static Evaluation | gasPressure (const Evaluation &temperature, const Evaluation &density)
| The pressure of gaseous in at a given density and temperature.
template<class Evaluation>
static Evaluation | gasEnthalpy (const Evaluation &temperature, const Evaluation &)
| Specific enthalpy of pure nitrogen gas.
template<class Evaluation>
static Evaluation | gasInternalEnergy (const Evaluation &temperature, const Evaluation &pressure)
| Specific enthalpy of pure nitrogen gas.
template<class Evaluation>
static Evaluation | gasHeatCapacity (const Evaluation &temperature, const Evaluation &)
| Specific isobaric heat capacity of pure nitrogen gas.
template<class Evaluation>
static Evaluation | gasViscosity (const Evaluation &temperature, const Evaluation &)
| The dynamic viscosity of at a given pressure and temperature.
template<class Evaluation>
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Specific heat conductivity of steam .
Static Public Member Functions inherited from Opm::Component< Scalar, N2< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, N2< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, N2< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::N2< Scalar >

Properties of pure molecular nitrogen .

Template Parameters

  Scalar | The type used for scalar values

## Member Function Documentation

## gasDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density of gas at a given pressure and temperature.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Specific enthalpy of pure nitrogen gas.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

See: R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp 154, 657, 665

## gasHeatCapacity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasHeatCapacity | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Specific isobaric heat capacity of pure nitrogen gas.

This is equivalent to the partial derivative of the specific enthalpy to the temperature.

## gasInternalEnergy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasInternalEnergy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific enthalpy of pure nitrogen gas.

      Definition of enthalpy: \f$h= u + pv = u + p / \rho\f$.

      Rearranging for internal energy yields: \f$u = h - pv\f$.

      Exploiting the Ideal Gas assumption (\f$pv = R_{\textnormal{specific}} T\f$)gives: \f$u = h - R / M T \f$.

      The universal gas constant can only be used in the case of molar formulations.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasPressure | ( | const Evaluation & | temperature,
|  | const Evaluation & | density )

inline static

The pressure of gaseous in at a given density and temperature.

Parameters

  temperature | temperature of component in
  density | density of component in

## gasThermalConductivity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasThermalConductivity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific heat conductivity of steam .

Isobaric Properties for Nitrogen in: NIST Standard Reference Database Number 69, Eds. P.J. Linstrom and W.G. Mallard evaluated at p=.1 MPa, T=8°C, does not change dramatically with p,T

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::gasViscosity | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

The dynamic viscosity of at a given pressure and temperature.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

See:

See: R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp 396-397, 5th edition, McGraw-Hill, 2001 pp 9.7-9.8 (omega and V_c taken from p. A.19)

## vaporPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::N2< Scalar >::vaporPressure | ( | const Evaluation & | temperature | ) |

inline static

The vapor pressure in of pure molecular nitrogen at a given temperature.

Parameters

  temperature | temperature of component in

Taken from:

R. Span, E.W. Lemmon, et al.: "A Reference Equation of State for the Thermodynamic Properties of Nitrogen for Temperatures from 63.151 to 1000 K and Pressures to 2200 MPa", Journal of Physical and Chemical Refefence Data, Vol. 29, No. 6, pp. 1361-1433

The documentation for this class was generated from the following file:

- opm/material/components/N2.hpp